Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class SelectionPanel.Row

    java.lang.Object
      ix.iface.util.SelectionPanel.Row

Enclosing class:
  SelectionPanel

     class SelectionPanel.Row

extends java.lang.Object

A row in the `SelectionPanel.SelectionTable`

Field Summary
`(package private) java.lang.String` | `name`
`(package private) javax.swing.JTextField` | `nameText`
`(package private) ValueComboBox` | `valChoice`
`(package private) java.lang.Object` | `value`

Constructor Summary
`SelectionPanel.Row(javax.swing.JTextField nt, ValueComboBox vc)`
`SelectionPanel.Row(java.lang.String name, java.lang.Object value)`

Method Summary
`(package private) void` | `addToTable(SelectionPanel.SelectionTable t)`
`(package private) java.lang.Object` | `getSelectedValue()`
`(package private) void` | `insertInTable(SelectionPanel.SelectionTable t)`
`(package private) void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### value

    java.lang.Object value

### nameText

    javax.swing.JTextField nameText

### valChoice

    ValueComboBox valChoice

Constructor Detail

### SelectionPanel.Row

    SelectionPanel.Row(java.lang.String name,
                       java.lang.Object value)

### SelectionPanel.Row

    SelectionPanel.Row(javax.swing.JTextField nt,
                       ValueComboBox vc)

Method Detail

### getSelectedValue

    java.lang.Object getSelectedValue()

### reset

    void reset()

### addToTable

    void addToTable(SelectionPanel.SelectionTable t)

### insertInTable

    void insertInTable(SelectionPanel.SelectionTable t)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD